package cn.novalon.manage.db.entity;

import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

/**
 * 角色数据库实体类
 * 
 * @author 张翔
 * @date 2026-03-13
 */
@Table("sys_role")
public class SysRoleEntity extends BaseEntity {

    @Column("role_name")
    private String roleName;

    @Column("role_key")
    private String roleKey;

    @Column("role_sort")
    private Integer roleSort;

    @Column("status")
    private Integer status;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleKey() {
        return roleKey;
    }

    public void setRoleKey(String roleKey) {
        this.roleKey = roleKey;
    }

    public Integer getRoleSort() {
        return roleSort;
    }

    public void setRoleSort(Integer roleSort) {
        this.roleSort = roleSort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
